Subject: bug#47867: closed (Re: bug#47867: [1.2.1 pre-release testing] substitute downloading and TLS errors)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 25 Apr 2021 00:21:02 +0000

Your bug report

#47867: [1.2.1 pre-release testing] substitute downloading and TLS errors

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47867: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47867
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47867: [1.2.1 pre-release testing] substitute downloading and TLS errors
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], [email-masked], Christopher Baines <[email-masked]>, jcguu95 <[email-masked]>
Date: Sun, 25 Apr 2021 02:20:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Apr 24, 2021 at 07:13:01PM +0200, Ludovic Courtès wrote:
> I’ve pushed these as two separate patches:
> 
>   c50db7156d http-client: Remove exception mishandling in 'http-multiple-get'.
>   02d62978f4 http-client, substitute: Gracefully handle GnuTLS EAGAIN/EINTR.

I assume they will be cherry-picked to the version-1.3.0 branch and
the guix package will be updated.

> This bug should be gone now.

Yes, after and only after locally updating the guix package I can
create good installer images.

Closing.

Note though that "Guu, Jin-Cheng" <[email-masked]> reported the TLS
errors before me, but to guix-devel and not as a bug report.

> I’ll go ahead and fix ‘write_to_session_record_port’ in GnuTLS.

Thank you for all the work!

Regards,
Florian

Subject: [1.2.1 pre-release testing] substitute downloading and TLS errors
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: jcguu95 <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 18 Apr 2021 11:38:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Apr 16, 2021 at 10:40:55PM -0500, jcguu95 wrote:
>    2.2. Unexpected failure
> 
>    After running `guix system init /mnt/etc/config.scm /mnt' for 5 to 10
>    minutes, I got the error
> 
>    ,----
>    |    substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: error: TSL error in procedure 'write_to_session_port': Resource temporarily unavailable, try again.
>    | 
>    |    guix system: error: `/gnu/store/1nmwil4cs...vc2p-guix-1.2.0-21.4dff6ec/bin/guix substitute` died unexpectedly
>    |    root@gnu ~# _
>    `----
> 
>    Retrying it did resolve the problem. And I got a working guix system
>    out of it :)

I’ve got the same TLS error (though the procedure for me is
‘write_to_session_record_port’.

I needed to restart the installer at the last step, this stopped while
downloading enlightenment with no error but it does not continue.

Regards,
Florian